Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.io
Class UndefinedSymbolException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  oracle.ifs.utils.io.UndefinedSymbolException

All Implemented Interfaces:
  java.io.Serializable

    public class UndefinedSymbolException

extends java.lang.RuntimeException

The UndefinedSymbolException is raised when a symbol that has not beed mapped to a value is found by the SymbolCommuter class. This is a RuntimeException because the SymbolCommuter class can be set to ignore these undefined symbols. Thus, this exception is not always thrown.

See Also:
  Serialized Form
Modified:
  lsaenz 11/12/1999 Created.

Constructor Summary
`UndefinedSymbolException()` Creates a new UndefinedSymbolException
`UndefinedSymbolException(java.lang.String symbolName)` Creates a new UndefinedSymbolException given the name of the undefined symbol.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndefinedSymbolException

    public UndefinedSymbolException()

  Creates a new UndefinedSymbolException

### UndefinedSymbolException

    public UndefinedSymbolException(java.lang.String symbolName)

  Creates a new UndefinedSymbolException given the name of the undefined symbol.

  Parameters:
    `symbolName` - the name of the undefined symbol.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD